commit c67758afe2e2dc58abfa0abba1a98138fd84690d
Author: freddy77 <freddy77>
Date:   Fri Jan 29 14:04:57 2010 +0000

    peephole optimization

diff --git a/ChangeLog b/ChangeLog
index 6801f79..bf7d338 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jan 29 15:04:27 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h: peephole optimization
+
 Thu Jan 28 14:30:21 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsthread.h src/tds/log.c:
 	- improve (a lot!) log performance under windows using append mode
@@ -2255,4 +2258,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2973 2010/01/28 13:31:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2974 2010/01/29 14:04:57 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index f65ef17..c2ec04b 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.329 2010/01/27 12:16:09 freddy77 Exp $ */
+/* $Id: tds.h,v 1.330 2010/01/29 14:04:59 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -852,13 +852,13 @@ typedef struct tds_login
 	DSTR password;
 	
 	DSTR library;	/* Ct-Library, DB-Library,  TDS-Library or ODBC */
-	TDS_TINYINT bulk_copy;
-	TDS_TINYINT suppress_language;
 	TDS_TINYINT encryption_level;
 
 	TDS_INT query_timeout;
 	unsigned char capabilities[TDS_MAX_CAPABILITY];
 	DSTR client_charset;
+	unsigned int bulk_copy:1;
+	unsigned int suppress_language:1;
 } TDSLOGIN;
 
 typedef struct tds_connection
@@ -877,8 +877,6 @@ typedef struct tds_connection
 	DSTR user_name;	    	/**< account for login */
 	DSTR password;	    	/**< password of account login */
 	DSTR library;
-	TDS_TINYINT bulk_copy;
-	TDS_TINYINT suppress_language;
 	TDS_TINYINT encryption_level;
 
 	TDS_INT query_timeout;
@@ -893,6 +891,8 @@ typedef struct tds_connection
 	int text_size;
 	unsigned int broken_dates:1;
 	unsigned int emul_little_endian:1;
+	unsigned int bulk_copy:1;
+	unsigned int suppress_language:1;
 } TDSCONNECTION;
 
 typedef struct tds_locale

